*------------------------------------------------------------*;
* Tree: Create decision matrix;
*------------------------------------------------------------*;
data WORK.REP_hitel(label="REP_hitel");
  length   REP_hitel                        $  32
           COUNT                                8
           DATAPRIOR                            8
           TRAINPRIOR                           8
           DECPRIOR                             8
           DECISION1                            8
           DECISION2                            8
           ;

  infile   cards  dsd;

  input    REP_hitel $
           COUNT
           DATAPRIOR
           TRAINPRIOR
           DECPRIOR
           DECISION1
           DECISION2
           ;

  label    COUNT="Level Counts"
           DATAPRIOR="Data Proportions"
           TRAINPRIOR="Training Proportions"
           DECPRIOR="Decision Priors"
           DECISION1="1"
           DECISION2="0"
           ;
  informat REP_hitel $CHAR32.
           ;
cards;
1,3402,0.45960551202377,0.45960551202377,.,1,0
0,4000,0.54039448797622,0.54039448797622,.,0,1
;
run;
proc datasets lib=work nolist;
modify REP_hitel(type=PROFIT label=REP_hitel);
label DECISION1= "1";
label DECISION2= "0";
run;
quit;
*------------------------------------------------------------* ;
* Tree: DMDBClass Macro ;
*------------------------------------------------------------* ;
%macro DMDBClass;
    GRP_IMP_REP_ESNJ(ASC) GRP_REP_HNJE(ASC) REP_HEPTEL(ASC) REP_HKOMP(ASC)
   REP_HLAKA(ASC) REP_HLBER(ASC) REP_HLFUT(ASC) REP_HLGAZF(ASC) REP_HLHIT(ASC)
   REP_HLKTG(ASC) REP_HLKTR(ASC) REP_HLTIP(ASC) REP_HLTOR(ASC) REP_HLVIL(ASC)
   REP_HLVIZ(ASC) REP_HMEZFOL(ASC) REP_HMLAK(ASC) REP_HMOTOKC(ASC) REP_HUD(ASC)
   REP_SBISK1(ASC) REP_SBISK3(ASC) REP_SCSAL(ASC) REP_SCSAP(ASC) REP_SDOHE(ASC)
   REP_SGYOR(ASC) REP_SHAZTFO(ASC) REP_SKAVE(ASC) REP_SNEME(ASC)
   REP_TRA_HCTSZGA(ASC) REP_TRA_HMOTOKA(ASC) REP_TRA_HMOTOKB(ASC)
   REP_TRA_HMOTOKC(ASC) REP_TRA_HMOTOVA(ASC) REP_TRA_HMOTOVB(ASC)
   REP_TRA_HMOTOVC(ASC) REP_TRA_HSTSZGA(ASC) REP_TRA_HSTSZGB(ASC)
   REP_TRA_HSTSZGC(ASC) REP_hitel(DESC)
%mend DMDBClass;
*------------------------------------------------------------* ;
* Tree: DMDBVar Macro ;
*------------------------------------------------------------* ;
%macro DMDBVar;
    HLAKFT HLANM HLETS SZKOR TRA_HAERT
%mend DMDBVar;
*------------------------------------------------------------*;
* Tree: Create DMDB;
*------------------------------------------------------------*;
proc dmdb batch data=EMWS.BINNING_TRAIN dmdbcat=WORK.Tree_DMDB
maxlevel = 513
;
class %DMDBClass;
var %DMDBVar;
target
REP_hitel
;
run;
quit;
